@echo off
cls
echo    _________________________________________________________________________
echo.
echo                   Novell LANalyzer For Windows Version 2.0
echo.
echo                             Patch for decode DLLs
echo    _________________________________________________________________________
echo.

if "%1" == "" goto usage
if not exist %1\l_tdgui.dll goto harddrvbad
if not exist lzfw.rtp goto notininst

echo    This patch is designed to upgrade the LANalyzer For Windows decode DLLs 
echo    from version 2.0 to 2.1 .
echo.
echo    New protocol decodes in version 2.1 include: 
echo    NetWare Directory Services and NetWare Core Protocol 4.0
echo.
echo    PLEASE DO NOT ATTEMPT TO APPLY THE PATCH TO LANALYZER FOR WINDOWS 
echo    VERSIONS OTHER THAN 2.0 .
echo.
yesno "Do you wish to continue? [y/n]"
if errorlevel 1 goto exit
echo.

:backup
echo    INSTALL will overwrite the following existing LANalyzer For Windows 
echo    decode DLLs:  
echo                               L_TDAPI.DLL
echo                               L_TDDRIV.DLL
echo                               L_TDGUI.DLL
echo                               L_TDLNK.DLL
echo                               L_TDNW.DLL
echo                               L_TDUTIL.DLL
echo.
echo    The above DLLs will be backed up in the subdirectory  %1\PATCHBAK
echo.
yesno "Do you wish to continue? [y/n]"
echo.
if errorlevel 1 goto exit

:backyes
echo Creating %1\patchbak...
mkdir %1\patchbak > NUL:
patch /BACKUP:%1\patchbak  /UNDO /NOSUBDIRSEARCH /NOP %1 lzfw.rtp
if errorlevel 4 goto wrongstamp
echo Deleting temporary files...
del %1\patchbak\lzfw.bak > NUL:
goto okexit

:usage
echo usage:   INSTALL "target directory containing LANalyzer For Windows 
echo                   decode DLLs (Version 2.0)"
echo.
echo example: install c:\lzfw
echo.
goto exit

:harddrvbad
echo LANalyzer For Windows decode DLLs do not exist in: %1
echo Please invoke INSTALL using the correct directory.
echo.
goto usage

:notininst
echo INSTALL requires the current directory to contain the relevant patch
echo files. Please change the current directory to that directory.
goto exit

:wrongstamp
echo.
echo The LANalyzer For Windows patch has failed on the existing files in
echo %1 
echo.	
echo Please verify that the version of the existing decode DLL is 2.0 .
echo.	


:okexit
echo. 
echo Please update the lzfw.ini file before running LANalyzer For Windows. 
echo See the README file for more details.
:exit

